Subject: bug#77469: finder-inf is not autocompiled on installation

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Apr 2025 14:28:03 +0300

> From: Gergely Riskó <[email-masked]>
> Date: Fri, 4 Apr 2025 13:09:27 +0200
> Cc: [email-masked]
> 
> The reason why this is not convenient for me to do locally: it's part of the system packaging that I use
> (Debian, but I think it would be the same with other distros). And therefore periodically new version will appear
> and I'll have to remember and recompile again. 
> 
> There is no risk for the end user for this elc compilation to get out of date, as it's part of the core emacs
> installation, and therefore read only on most systems. So the risk is exactly the same as for any other el files
> hand modified in the system installation.
> 
> Also, I use many machines at different locations, with different emacs versions, so it's not a one time local
> change and forget situation, would be tedious to remember after each apt upgrade.

I hear you, but OTOH compiling this file will make the build a tad
longer, so it is not coming for free.

In general, we don't compile files that have no code.

Does anyone else have an opinion?